import { defineStore } from 'pinia'
const useMessageRoomStore = defineStore('useMessageRoomStore', {
  state: () => ({
    messageRoom: {
      fristIssue:undefined,
      list:[]
    }
  }),
  actions: {
    setMessage(fristIssue,item) {
      if (this.messageRoom.list.length >= 35) return
      if(!this.messageRoom.fristIssue) this.messageRoom.fristIssue = fristIssue
      this.messageRoom.list.push(item)
    },
    resetList(obj){
      this.messageRoom = obj
    }
  }
})


export default useMessageRoomStore